#version 330 core

layout(pixel_center_integer) in vec4 gl_FragCoord; // pixel positions at integer coordinates

uniform vec2 invImageSize;
uniform sampler2D texture0;
uniform float multiplier = 2.f;

out vec4 outColor;

void main(void)
{
	vec2 center = (gl_FragCoord.xy + vec2(0.5f, 0.5f)) * invImageSize;
	float stepSize = invImageSize.y * multiplier;

	float sumColor = texture(texture0, center).r;
	center.y+=stepSize;
	sumColor += texture(texture0, center).r;
	center.y+=stepSize;
	sumColor += texture(texture0, center).r;
	center.y+=stepSize;
	sumColor += texture(texture0, center).r;

	center.y-=6*stepSize;
	sumColor += texture(texture0, center).r;
	center.y+=stepSize;
	sumColor += texture(texture0, center).r;
	center.y+=stepSize;
	sumColor += texture(texture0, center).r;

	sumColor /= 7.0f;
	outColor = vec4(sumColor, sumColor, sumColor, 1.f);
}