#version 330 core

layout(pixel_center_integer) in vec4 gl_FragCoord;

uniform vec2 imageSize;

out vec4 outColor;

void main(void)
{
	float xdist = imageSize.x/2.0 - gl_FragCoord.x;
	float ydist = imageSize.y/2.0 - gl_FragCoord.y;
	if (xdist*xdist + ydist*ydist < imageSize.y*imageSize.y/100.0)
	{
		outColor = vec4(gl_FragCoord.x/65535.0, gl_FragCoord.y/65535.0, 1.0, 0.0);
	}
	else
	{
		discard;
	}
}