#version 330 core

layout(location=1) in vec3 position;

uniform mat4 modelView;
uniform mat4 invView;
uniform mat4 perspective;

out vec3 vf_viewPosition;
out vec3 vf_view;

void main(void)
{
	vec4 viewPosition = modelView * vec4(position, 1.0);
	vec3 worldPosition = (invView * viewPosition).xyz;
	vf_view = invView[3].xyz - worldPosition;
	vf_viewPosition = viewPosition.xyz;
	gl_Position = perspective * viewPosition;
}